FATSORT(1)

NAME
fatsort - FAT sorting tool

SYNOPSIS
fatsort [OPTIONS] DEVICE

DESCRIPTION
FATSort sorts directory structures of FAT file systems. Many MP3 hardware players don't sort files automatically but play them in the order they were transferred to the device. FATSort can help here.

OPTIONS

-a  Use ASCIIbetical order for sorting

-c  Ignore case of file names

-f  Force sorting even if file system is mounted

-h, --help

    Print some help

-i  Print file system information only

-I=PFX
    Ignore file name PFX

-l  Print current order of files only

-o=FLAG
    Sort order of files where FLAG is one of

    d : directories first (default)

    f : files first

    a : files and directories are not differentiated

-n  Natural order sorting

-q  Be quiet

-r  Sort in reverse order

-R  Sort in random order

-t  Sort by last modification date and time

-v, --version

    Print version information

    The following options can be specified multiple times:

-d=DIR
    Sort directory DIR only

-D=DIR
    Sort directory DIR and all subdirectories

-x=DIR
    Don't sort directory DIR

-X=DIR
    Don't sort directory DIR and its subdirectories

DEVICE must be a FAT12, FAT16 or FAT32 file system.

WARNING: THE FILESYSTEM MUST BE CONSISTENT, OTHERWISE YOU MAY DAMAGE IT! IF SOMEONE ELSE HAS ACCESS TO THE DEVICE HE MIGHT EXPLOIT FATSORT WITH A FORGED CORRUPT FILESYSTEM! USE THIS PROGRAM AT YOUR OWN RISK!

EXAMPLES

fatsort /dev/sda
    Sort /dev/sda.

fatsort -n /dev/sdb1
    Sort /dev/sdb1 with natural order.

AUTHOR
Written by Boris Leidner.

REPORTING BUGS
Report bugs to <fatsort@formenos.de>.

COPYRIGHT
Copyright © 2004-2014 Boris Leidner. License GPLv2: GNU GPL version 2 (see LICENSE.txt)
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.